Subject: Re: [PATCH V10 12/13] MIPS: Loongson 3: Add CPU hotplug support

From: Huacai Chen <[email-masked]>
Date: Thu, 11 Jul 2013 17:31:58 +0800

Normal labels and nops can be removed, but loongson3_play_dead()
should be run at CKSEG0, I'm afraid that it will have a wrong behavior
if I write it with C.

On Fri, Jun 28, 2013 at 3:08 PM, Ralf Baechle <[email-masked]> wrote:
> On Fri, Jun 28, 2013 at 09:05:53AM +0200, Ralf Baechle wrote:
>
>> > +           "flush_loop:                             \n" /* flush L1 */
>>
>> Please don't use normale in inline assembler.  This might result in build
>> errors.  it's horrible to read but number local labels like:
>
> That was meant to read "Please don't use normal labels" in inline assembler.
>
>   Ralf
>

---

From: Fuxin Zhang <[email-masked]>
Date: Thu, 11 Jul 2013 20:35:19 +0800

> should be run at CKSEG0, I'm afraid that it will have a wrong behavior
I think just replacing flush_loop with number label like 1: will be ok. 
Don't think too much.

-- 
江苏中科梦兰电子科技有限公司
总经理 张福新
[email-masked]